Skip to main content
`Ctrl`+`K`

# Unicode

class astropy.units.format.Unicode(*args, **kwargs)

  Bases: `Console`

  Output-only format to display pretty formatting at the console using Unicode characters.

  For example:

      >>> import astropy.units as u
      >>> print(u.bar.decompose().to_string('unicode'))
      100000 kg m⁻¹ s⁻²
      >>> print(u.bar.decompose().to_string('unicode', fraction='multiline'))
              kg
      100000 ────
             m s²
      >>> print(u.bar.decompose().to_string('unicode', fraction='inline'))
      100000 kg / (m s²)

  Attributes Summary

  `name` |

  Attributes Documentation

  name = 'unicode'